<?php
function turkcespinApi($token, $article) {
    $post_data = array(
        'token'   => $token,
        'article' => $article,
    );
    $post_data = http_build_query($post_data);

    $ch = curl_init('http://turkcespin.com/api/spin');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $result = curl_exec($ch);
    return $result;
}
function turkcespin_create_meta_box() {
    add_meta_box('turkcespin-meta-boxes', 'TürkçeSpin', 'turkcespin_meta_boxes', 'post', 'side', 'core');
}

function turkcespin_meta_boxes() {
    if ($token = get_option('turkcespin-token')) {

        $ch = curl_init('http://turkcespin.com/api/detail?token='.$token);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch,CURLOPT_NOSIGNAL,1);
        curl_setopt($ch,CURLOPT_CONNECTTIMEOUT ,10);
        @curl_setopt($ch,CURLOPT_FOLLOWLOCATION,1);
        $turkceSpinLicense = json_decode(curl_exec($ch));
    }
    
    include 'meta.php';
}

function turkcespin_admin_head() {
    $ajax = admin_url('admin-ajax.php');
    echo '<script src="' . plugins_url('scripts.js', __FILE__) . '" type="text/javascript"></script>';
    echo '<script type="text/javascript">var ajaxurl = "'.$ajax.'"; </script>';
}

function turkcespin_options_page() {
    add_submenu_page('options-general.php', 'TürkçeSpin', 'TürkçeSpin', 'manage_options', 'turkcespin-options', 'turkcespin_options');
}

function turkcespin_options() {
    ?>
<div class="wrap">
    <h2>TürkçeSpin Ayarları</h2>
<?php if ($_POST['submit']): update_option('turkcespin-token', $_POST['token']);?>
        <div id="message" class="updated below-h2"><p>Ayarlarınız başarıyla güncellendi.</p></div>
    <?php endif;?>
  <form method="POST" action="">
        <table class="form-table">
            <tr>
                <th scope="row">
                    <label>Api Token</label>
                </th>
                <td>
                    <input type="text" name="token" value="<?php echo get_option('turkcespin-token'); ?>" />
                </td>
                <td>
                    <a href="http://turkcespin.com/api" target="_blank" title="Api Token Nasıl Alabilirim ?">Api Token Nasıl Alabilirim ?</a>
                </td>
            </tr>
        </table>
        <p class="submit">
            <input type="submit" value="Değişiklikleri kaydet" class="button button-primary" id="submit" name="submit" />
        </p>
    </form>

</div>
<?php
}
