jQuery(document).ready(function($) {
    function turkcespin(postID, title, content, handleData) {
        $.post(ajaxurl, {
            'postID': postID,
            'title': title,
            'content': content,
            'action': 'turkcespin_action'
        }).done(function(data) {
            handleData(data);
        });
    }
    $('#turkcespin_start').live('click', function() {
        $('#turkcespin_load').show();
        $('#turkcespin_start').val('Özgünleştiriliyor');
        $('#turkcespin_start').attr("disabled", "disabled");
        var cont = "";
        if (jQuery("#wp-content-wrap").hasClass("tmce-active")) cont = tinyMCE.activeEditor.getContent()
        else cont = $("#content").val();
        turkcespin($(this).attr('data-id'), $('#title').val(), cont, function(result) {
            if (result.error) {
                alert(result.error);
                return false;
            }
            $('#turkcespin_load').hide();
            $('#turkcespin_start').val('Özgünleştir');
            $('#turkcespin_start').removeAttr("disabled");
            $('#title').val(result.title);
            if (jQuery("#wp-content-wrap").hasClass("tmce-active")) tinyMCE.activeEditor.setContent(result.content);
            else $("#content").val(result.content);
            $('html, body').animate({
                scrollTop: 0
            });
        });
    });
});